use std::{thread, time};
use futures::executor::block_on;

fn main() {
    block_on(async_func);
    println!("Exit main");
}

async fn async_func() {
    let five_sec = time::Duration::from_secs(5);
    thread::sleep(five_sec);
    println!("Exit func");
}
